> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonStatisticsList

> The list of stats by jettons (percent changes of price, volume, traders, transactions by last hour, day, week and month)

💼 Available in paid plans only



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/stats
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/stats:
    get:
      tags:
        - JettonsService
      summary: getJettonStatisticsList
      description: >-
        The list of stats by jettons (percent changes of price, volume, traders,
        transactions by last hour, day, week and month)


        💼 Available in paid plans only
      operationId: JettonsService_GetStatsList
      parameters:
        - name: limit
          in: query
          description: |-
            Default value: 20

            Max value: 100
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: |-
            Cursor to paginate list

            Should be set by value from response field `next`
          schema:
            type: string
        - name: excludeScam
          in: query
          description: |-
            Flag to exclude scam jettons

            Jettons marked as scam will be excluded, if it's set to `true`
          schema:
            type: boolean
        - name: search
          in: query
          description: |-
            Search by phrase

            Search by phrase in jetton name or symbol
            Length should be in range [3:255]
          schema:
            type: string
        - name: address
          in: query
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
            Max count: 100
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: admin
          in: query
          description: |-
            Wallet address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
            Max count: 10
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: verification
          in: query
          description: |-
            Status of jetton verification

            Max count: 5
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - JVS_NONE
                - JVS_APPROVED
                - JVS_COMMUNITY_VERIFIED
                - JVS_VERIFIED
                - JVS_SCAM
        - name: sort
          in: query
          description: |-
            Sort field

            Default is `createdAt`
          schema:
            type: string
            default: createdAt
            enum:
              - createdAt
              - fdmc
              - tvl
              - liquidityUsd
              - trustScore
              - volume24h
              - holders
              - traders24h
              - transactions24h
              - tonPriceChangeHour
              - tonPriceChangeHour6
              - tonPriceChangeDay
              - tonPriceChangeWeek
              - tonPriceChangeMonth
        - name: order
          in: query
          description: |-
            Order of sort

            Default is `asc`
          schema:
            type: string
            default: asc
            enum:
              - asc
              - desc
        - name: priceChange.ton.hour.min
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.hour.max
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.hour6.min
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.hour6.max
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.day.min
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.day.max
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.week.min
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.week.max
          in: query
          schema:
            type: number
            format: double
        - name: liquidity.usd.min.value
          in: query
          schema:
            type: string
        - name: liquidity.usd.min.decimals
          in: query
          description: |-
            Decimals

            Value in range [0, 255]. By default is `0`
          schema:
            type: integer
            format: int64
        - name: liquidity.usd.max.value
          in: query
          schema:
            type: string
        - name: liquidity.usd.max.decimals
          in: query
          description: |-
            Decimals

            Value in range [0, 255]. By default is `0`
          schema:
            type: integer
            format: int64
        - name: fdmc.min.value
          in: query
          schema:
            type: string
        - name: fdmc.min.decimals
          in: query
          description: |-
            Decimals

            Value in range [0, 255]. By default is `0`
          schema:
            type: integer
            format: int64
        - name: fdmc.max.value
          in: query
          schema:
            type: string
        - name: fdmc.max.decimals
          in: query
          description: |-
            Decimals

            Value in range [0, 255]. By default is `0`
          schema:
            type: integer
            format: int64
        - name: trustScore.min
          in: query
          schema:
            type: string
            format: int64
        - name: trustScore.max
          in: query
          schema:
            type: string
            format: int64
        - name: holders.min
          in: query
          schema:
            type: string
            format: int64
        - name: holders.max
          in: query
          schema:
            type: string
            format: int64
        - name: currency
          in: query
          schema:
            type: string
            default: ton
            enum:
              - ton
              - usd
              - eur
              - gbp
              - jpy
              - byn
              - ves
              - rub
              - uah
              - kzt
              - krw
              - ils
              - idr
              - aed
              - gel
              - twd
              - try
              - hkd
              - inr
              - cad
              - amd
              - aud
              - pln
              - cop
              - brl
              - chf
              - mxn
              - ars
              - sgd
              - sar
              - mdl
              - ron
              - sek
              - azn
              - rsd
              - nok
              - myr
              - bgn
              - egp
              - gtq
              - clp
              - nzd
              - bdt
              - kgs
              - thb
              - uzs
              - uyu
              - vnd
              - ugx
              - kes
              - zar
              - etb
              - ngn
              - lkr
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetStatsListResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetStatsListResponse:
      type: object
      properties:
        items:
          title: The list of stats by jettons
          type: array
          items:
            $ref: '#/components/schemas/v1JettonStats'
        addressBook:
          title: Possible aliases for all raw addresses in response
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1AddressBookItem'
        jettons:
          title: Short metadata about jettons used in response
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1ShortJettonMeta'
        next:
          title: Cursor to next page
          type: string
          description: If the field is empty or not exists there's no next page
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonStats:
      type: object
      properties:
        address:
          type: string
          example: 0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1
        priceChange:
          $ref: '#/components/schemas/JettonStatsPriceChanges'
        traders:
          $ref: '#/components/schemas/v1JettonTradersChangePeriods'
        tradersBuy:
          $ref: '#/components/schemas/v1JettonTradersChangePeriods'
        tradersSell:
          $ref: '#/components/schemas/v1JettonTradersChangePeriods'
        transactions:
          $ref: '#/components/schemas/v1JettonTransactionsChangePeriods'
        transactionsBuy:
          $ref: '#/components/schemas/v1JettonTransactionsChangePeriods'
        transactionsSell:
          $ref: '#/components/schemas/v1JettonTransactionsChangePeriods'
        volume:
          $ref: '#/components/schemas/v1JettonStatsVolumeStat'
    v1AddressBookItem:
      type: object
      properties:
        userFriendly:
          title: Bounced address
          type: string
          description: Bounced user-friendly address
    v1ShortJettonMeta:
      type: object
      properties:
        address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
          format: int64
        image:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    JettonStatsPriceChanges:
      type: object
      properties:
        ton:
          $ref: '#/components/schemas/v1JettonPriceChangePeriods'
        usd:
          $ref: '#/components/schemas/v1JettonPriceChangePeriods'
    v1JettonTradersChangePeriods:
      type: object
      properties:
        hour:
          $ref: '#/components/schemas/v1IntegerValueChange'
        hour6:
          $ref: '#/components/schemas/v1IntegerValueChange'
        day:
          $ref: '#/components/schemas/v1IntegerValueChange'
        week:
          $ref: '#/components/schemas/v1IntegerValueChange'
        month:
          $ref: '#/components/schemas/v1IntegerValueChange'
    v1JettonTransactionsChangePeriods:
      type: object
      properties:
        hour:
          $ref: '#/components/schemas/v1IntegerValueChange'
        hour6:
          $ref: '#/components/schemas/v1IntegerValueChange'
        day:
          $ref: '#/components/schemas/v1IntegerValueChange'
        week:
          $ref: '#/components/schemas/v1IntegerValueChange'
        month:
          $ref: '#/components/schemas/v1IntegerValueChange'
    v1JettonStatsVolumeStat:
      type: object
      properties:
        usd:
          $ref: '#/components/schemas/v1JettonTradingVolumeChangePeriods'
        buyUsd:
          $ref: '#/components/schemas/v1JettonTradingVolumeChangePeriods'
        sellUsd:
          $ref: '#/components/schemas/v1JettonTradingVolumeChangePeriods'
    v1JettonPriceChangePeriods:
      type: object
      properties:
        min15:
          $ref: '#/components/schemas/v1DecimalValueChange'
        hour:
          $ref: '#/components/schemas/v1DecimalValueChange'
        hour6:
          $ref: '#/components/schemas/v1DecimalValueChange'
        hour12:
          $ref: '#/components/schemas/v1DecimalValueChange'
        day:
          $ref: '#/components/schemas/v1DecimalValueChange'
        week:
          $ref: '#/components/schemas/v1DecimalValueChange'
        month:
          $ref: '#/components/schemas/v1DecimalValueChange'
    v1IntegerValueChange:
      title: Value change by period
      type: object
      properties:
        changePercent:
          title: Percentage change from the previous period
          type: number
          format: float
          example: -35.9
        previous:
          title: Value of the previous period
          type: string
          format: int64
          example: '39'
        current:
          title: Value of the current period
          type: string
          format: int64
          example: '25'
        calculatedAt:
          title: Date and time of calculation
          type: string
          format: date-time
    v1JettonTradingVolumeChangePeriods:
      type: object
      properties:
        hour:
          $ref: '#/components/schemas/v1DecimalValueChange'
        hour6:
          $ref: '#/components/schemas/v1DecimalValueChange'
        day:
          $ref: '#/components/schemas/v1DecimalValueChange'
        week:
          $ref: '#/components/schemas/v1DecimalValueChange'
        month:
          $ref: '#/components/schemas/v1DecimalValueChange'
    v1DecimalValueChange:
      title: Value change by period
      type: object
      properties:
        changePercent:
          title: Percentage change from the previous period
          type: number
          format: float
          example: 146.1
        previous:
          $ref: '#/components/schemas/v1DecimalValue'
        current:
          $ref: '#/components/schemas/v1DecimalValue'
        calculatedAt:
          title: Date and time of calculation
          type: string
          format: date-time
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'

````